$(function () {
    $('#fieldtypeid').change(function () {
        if (this.value == 5) { //combobox
            $('#cvfield').show();
            $("#cvadditionals").hide();
            $("#name").closest(".field").show();
            $("#shortname").closest(".field").show();
            $("#units").closest(".field").show();
            $("#isrequired").closest(".field").show();
            $('#comboholder').show();
        } else if (this.value == 8) { // пустой интервал
            $('#cvfield').hide();
            $("#cvadditionals").hide();
            $("#name").closest(".field").hide();
            $("#name").val($("#name").val() ? $("#name").val() : "HtmlElement");
            $("#shortname").closest(".field").hide();
            $("#hint").closest(".field").hide();
            $("#units").closest(".field").hide();
            $("#isrequired").closest(".field").hide();
            $("#isrequired").attr("checked", false);
            $('#comboholder').hide();
        } else if (this.value == 9) { // custom html
            $('#cvfield').hide();
            $("#name").closest(".field").hide();
            $("#name").val($("#name").val() ? $("#name").val() : "HtmlElement");
            $("#shortname").closest(".field").hide();
            $("#units").closest(".field").hide();
            $("#isrequired").closest(".field").hide();
            $("#isrequired").attr("checked", false);
            $("#cvadditionals").show();
            $('#comboholder').hide();
        } else {
            $("#name").closest(".field").show();
            $("#shortname").closest(".field").show();
            $("#hint").closest(".field").show();
            $("#units").closest(".field").show();
            $("#isrequired").closest(".field").show();
            $("#cvadditionals").hide();
            $('#cvfield').hide();
            $('#comboholder').hide();
        }


    });

    $("#wrapper").find("form")
                .on("submit", function (event) {
                    var fieldtype = $('#fieldtypeid').val();                    
                    if (fieldtype == 9) {
                        $("#cvfield").find("textarea").html("");
                    }
                    if (fieldtype == 5) {
                        $("#cvadditionals").find("textarea").html("");
                    }
                });
});

$('body').on('click', '.selectAll', function () {
    var $self = $(this);
    var checked = $self.is(':checked');
    $self.parents('table:first').find('input[type="checkbox"]').each(function () {
        this.checked = checked;
    });
});

function afterSave() {    
    opener.loadFields(true);
}

function selectCompanyFieldNameLanguage() {
    var url = 'fieldlanguage.ivp/load?required=true&table=CompanyFields&field=NameXml&id=' + $('#id').val();
    openDialog(url, 'selectlanguage', { width: 900, height: 650 });
    return false;
}

function selectCompanyFieldHintLanguage() {
    var url = 'fieldlanguage.ivp/load?table=CompanyFields&field=HintXml&id=' + $('#id').val();
    openDialog(url, 'selectlanguage', { width: 900, height: 650 });
    return false;
}
